sampler T : register(s0);

float4 main0(float2 Tex1 : TEXCOORD0, float2 Tex2 : TEXCOORD1) : COLOR
{
	float4 Color = tex2D(T,Tex1);
	float ColorSepia = 0.299 * Color.r + 0.587 * Color.g + 0.114 * Color.b;
	Color.r = ColorSepia + 0.1912;
	Color.g = ColorSepia - 0.0544;
	Color.b = ColorSepia - 0.2210;
	return Color;
}
